Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OntoSim 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.inrialpes.exmo.ontosim.align
Class ASAbstractCoverageTraversal

    java.lang.Object
      fr.inrialpes.exmo.ontosim.align.AbstractAlignmentSpaceMeasure<fr.inrialpes.exmo.ontowrap.LoadedOntology<?>>
          fr.inrialpes.exmo.ontosim.align.ASAbstractCoverageTraversal

All Implemented Interfaces:
  AlignmentSpaceMeasure<fr.inrialpes.exmo.ontowrap.LoadedOntology<?>>, Measure<fr.inrialpes.exmo.ontowrap.LoadedOntology<?>>

Direct Known Subclasses:
  ASLargestCoverageMeasure, ASUnionPathCoverageMeasure

    public abstract class ASAbstractCoverageTraversal

extends AbstractAlignmentSpaceMeasure<fr.inrialpes.exmo.ontowrap.LoadedOntology<?>>

This class implements measures based on the coverage of the initial ontology by the composition of alignments

Nested Class Summary

Nested classes/interfaces inherited from interface fr.inrialpes.exmo.ontosim.Measure
`Measure.TYPES`

Field Summary
`(package private) fr.inrialpes.exmo.align.impl.BasicRelation` | `EquivRel`
`(package private) int` | `globaliterations`
`(package private) Hashtable<URI,Set<Set<URI>>>` | `prevtable`
`(package private) Hashtable<URI,Set<Hashtable<URI,URI>>>` | `prevtable2`

Fields inherited from class fr.inrialpes.exmo.ontosim.align.AbstractAlignmentSpaceMeasure
`measureMatrix, network`

Constructor Summary
`ASAbstractCoverageTraversal()`
`ASAbstractCoverageTraversal(org.semanticweb.owl.align.OntologyNetwork noo)`
`ASAbstractCoverageTraversal(org.semanticweb.owl.align.OntologyNetwork noo, int it)`

Method Summary
`boolean` | `alreadyVisited(URI current, Hashtable<URI,URI> topreserve)`
`Hashtable<URI,URI>` | `applyAlignment(org.semanticweb.owl.align.Alignment al, Hashtable<URI,URI> entities)` returns an hashtable containing pairs: target URI x source URI has modified entities so as to suppress those source URI which have been transformed.
`void` | `differs(Hashtable<URI,URI> tab1, Hashtable<URI,URI> tab2)`
`double` | `getDissim(fr.inrialpes.exmo.ontowrap.LoadedOntology<?> o1, fr.inrialpes.exmo.ontowrap.LoadedOntology<?> o2)`
`double` | `getMeasureValue(fr.inrialpes.exmo.ontowrap.LoadedOntology<?> o1, fr.inrialpes.exmo.ontowrap.LoadedOntology<?> o2)`
`Measure.TYPES` | `getMType()`
`double` | `getSim(fr.inrialpes.exmo.ontowrap.LoadedOntology<?> o1, fr.inrialpes.exmo.ontowrap.LoadedOntology<?> o2)`
`double` | `getValue(fr.inrialpes.exmo.ontowrap.Ontology o1, fr.inrialpes.exmo.ontowrap.Ontology o2)`
`boolean` | `includedIn(Hashtable<URI,URI> sub, Hashtable<URI,URI> sup)`
`Set<URI>` | `objectsToPreserve(fr.inrialpes.exmo.ontowrap.Ontology o1)` returns the set of URI of objects belonging to the initial ontology.
`Hashtable<URI,URI>` | `traverse(Hashtable<URI,URI> max, int size, Hashtable<URI,URI> topreserve, URI current, URI target)`

Methods inherited from class fr.inrialpes.exmo.ontosim.align.AbstractAlignmentSpaceMeasure
`addAlignment, getAlignments, setAlignmentSpace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### globaliterations

    int globaliterations

### prevtable

    Hashtable<URI,Set<Set<URI>>> prevtable

### EquivRel

    fr.inrialpes.exmo.align.impl.BasicRelation EquivRel

### prevtable2

    Hashtable<URI,Set<Hashtable<URI,URI>>> prevtable2

Constructor Detail

### ASAbstractCoverageTraversal

    public ASAbstractCoverageTraversal(org.semanticweb.owl.align.OntologyNetwork noo,
                                       int it)

### ASAbstractCoverageTraversal

    public ASAbstractCoverageTraversal(org.semanticweb.owl.align.OntologyNetwork noo)

### ASAbstractCoverageTraversal

    public ASAbstractCoverageTraversal()

Method Detail

### getMType

    public Measure.TYPES getMType()

### getMeasureValue

    public double getMeasureValue(fr.inrialpes.exmo.ontowrap.LoadedOntology<?> o1,
                                  fr.inrialpes.exmo.ontowrap.LoadedOntology<?> o2)

### getSim

    public double getSim(fr.inrialpes.exmo.ontowrap.LoadedOntology<?> o1,
                         fr.inrialpes.exmo.ontowrap.LoadedOntology<?> o2)

### getDissim

    public double getDissim(fr.inrialpes.exmo.ontowrap.LoadedOntology<?> o1,
                            fr.inrialpes.exmo.ontowrap.LoadedOntology<?> o2)

### getValue

    public double getValue(fr.inrialpes.exmo.ontowrap.Ontology o1,
                           fr.inrialpes.exmo.ontowrap.Ontology o2)
                    throws OntoSimException

  Throws:
    `OntoSimException`

### differs

    public void differs(Hashtable<URI,URI> tab1,
                        Hashtable<URI,URI> tab2)

### traverse

    public Hashtable<URI,URI> traverse(Hashtable<URI,URI> max,
                                       int size,
                                       Hashtable<URI,URI> topreserve,
                                       URI current,
                                       URI target)

### alreadyVisited

    public boolean alreadyVisited(URI current,
                                  Hashtable<URI,URI> topreserve)

### includedIn

    public boolean includedIn(Hashtable<URI,URI> sub,
                              Hashtable<URI,URI> sup)

### applyAlignment

    public Hashtable<URI,URI> applyAlignment(org.semanticweb.owl.align.Alignment al,
                                             Hashtable<URI,URI> entities)

  returns an hashtable containing pairs: target URI x source URI has modified entities so as to suppress those source URI which have been transformed.

### objectsToPreserve

    public Set<URI> objectsToPreserve(fr.inrialpes.exmo.ontowrap.Ontology o1)
                               throws OntoSimException

  returns the set of URI of objects belonging to the initial ontology. These objects will have to be preserved. Since so far we work with URIAlignments, only the URIs are necessary

  Throws:
    `OntoSimException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OntoSim 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) INRIA & friends, 2008-2009